      subroutine read_inp (ierr)      


      use Agrif_Util
#include "Param_BeforeCall_read_inp.h"
      integer(4) :: ierr
      

        call Sub_Loop_read_inp(ierr, Agrif_tabvars_r(34)%array0, Agrif_t
     &abvars_r(33)%array0, Agrif_tabvars_r(32)%array0, Agrif_tabvars_r(3
     &1)%array0, Agrif_tabvars(6)%array1, Agrif_tabvars(5)%array1, Agrif
     &_tabvars_r(22)%array0, Agrif_tabvars_r(16)%array0, Agrif_tabvars_r
     &(15)%array0, Agrif_tabvars_r(17)%array0, Agrif_tabvars_r(14)%array
     &0, Agrif_tabvars_r(13)%array0, Agrif_tabvars_r(21)%array0, Agrif_t
     &abvars_r(20)%array0, Agrif_tabvars_r(12)%array0, Agrif_tabvars_c(1
     &6)%carray0, Agrif_tabvars_i(99)%iarray0, Agrif_tabvars_i(166)%iarr
     &ay0, Agrif_tabvars_i(165)%iarray0, Agrif_tabvars_c(8)%carray0, Agr
     &if_tabvars_i(62)%iarray0, Agrif_tabvars_i(164)%iarray0, Agrif_tabv
     &ars_l(4)%larray0, Agrif_tabvars_c(9)%carray0, Agrif_tabvars_i(48)%
     &iarray0, Agrif_tabvars_i(163)%iarray0, Agrif_tabvars_c(17)%carray0
     &, Agrif_tabvars_c(11)%carray0, Agrif_tabvars_c(7)%carray0, Agrif_t
     &abvars_c(6)%carray0, Agrif_tabvars_i(162)%iarray0, Agrif_tabvars_r
     &(25)%array0, Agrif_tabvars_r(24)%array0, Agrif_tabvars_r(23)%array
     &0, Agrif_tabvars_r(4)%array0, Agrif_tabvars_i(160)%iarray0, Agrif_
     &tabvars_i(146)%iarray0, Agrif_tabvars_r(3)%array0, Agrif_tabvars_i
     &(159)%iarray0, Agrif_tabvars_c(2)%carray0, Agrif_tabvars_l(2)%larr
     &ay1, Agrif_tabvars_l(1)%larray1, Agrif_tabvars_i(176)%iarray0)

      end


#include "Sub_Loop_read_inp.h"
